Nimbu Developer Docs
ReferenceNotifications

Create or upsert a notification

POST
/notifications

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/notifications" \  -H "Content-Type: application/json" \  -d '{    "subject": "string",    "text": "string"  }'
{
  "id": "string",
  "url": "http://example.com",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "slug": "string",
  "html_enabled": true,
  "description": "string",
  "name": "string",
  "subject": "string",
  "text": "string",
  "html": "string"
}
Empty